import { ComponentProps } from 'solid-js';
import { MessageProps } from './interface';
/** 渲染存在的数据 */
export declare const MessageQueue: (Omit<MessageProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
})[], setMessage: import("solid-js/store").SetStoreFunction<(Omit<MessageProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
})[]>;
export declare type MessageData = ComponentProps<typeof MessageCard>;
/** 渲染消息卡片 */
export declare const MessageCard: import("solid-js").Component<Omit<MessageProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
